Index: branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 1199)
+++ branches/HTM-14.1-update-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 1200)
@@ -2372,5 +2564,5 @@
   Int        m_viewId;
   Int        m_viewIndex; 
-#if H_3D
+#if NH_3D
   Bool       m_isDepth;
 #endif
@@ -2395,7 +2587,7 @@
   Bool       m_pocMsbValRequiredFlag;
 
-#if H_3D
-  Int        m_aaiCodedScale [2][MAX_NUM_LAYERS];
-  Int        m_aaiCodedOffset[2][MAX_NUM_LAYERS];
+#if NH_3D
+  IntAry2d   m_aaiCodedScale ;
+  IntAry2d   m_aaiCodedOffset;
 #endif
 #if H_3D_TMVP
@@ -2403,15 +2595,17 @@
 #endif
 #if H_3D_ARP
-  Bool m_arpRefPicAvailable[2][MAX_NUM_LAYERS];
+  Bool       m_arpRefPicAvailable[2][MAX_NUM_LAYERS];
   TComList<TComPic*> * m_pBaseViewRefPicList[MAX_NUM_LAYERS];
-  UInt                 m_nARPStepNum; 
-  Int         m_aiFirstTRefIdx    [2]; 
+  UInt        m_nARPStepNum; 
+  Int         m_aiFirstTRefIdx    [2];   
+#endif
+#if NH_3D
   std::vector<Int> m_pocsInCurrRPSs; 
 #endif
 #if H_3D_IC
-  Bool      m_bApplyIC;
-  Bool      m_icSkipParseFlag;
-#endif
-#if H_3D
+  Bool       m_bApplyIC;
+  Bool       m_icSkipParseFlag;
+#endif
+#if NH_3D
   std::vector<Int> m_inCmpRefViewIdcs;
   Bool       m_inCmpPredAvailFlag; 
